# GCC_ResponsePDU Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum | Choices { e_conferenceJoinResponse, e_conferenceAddResponse, e_conferenceLockResponse, e_conferenceUnlockResponse, e_conferenceTerminateResponse, e_conferenceEjectUserResponse, e_conferenceTransferResponse, e_registryResponse, e_registryAllocateHandleResponse, e_functionNotSupportedResponse, e_nonStandardResponse }

## Public Member Functions

| GCC_ResponsePDU (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator GCC_ConferenceJoinResponse & ()
| operator const GCC_ConferenceJoinResponse & () const
| operator GCC_ConferenceAddResponse & ()
| operator const GCC_ConferenceAddResponse & () const
| operator GCC_ConferenceLockResponse & ()
| operator const GCC_ConferenceLockResponse & () const
| operator GCC_ConferenceUnlockResponse & ()
| operator const GCC_ConferenceUnlockResponse & () const
| operator GCC_ConferenceTerminateResponse & ()
| operator const GCC_ConferenceTerminateResponse & () const
| operator GCC_ConferenceEjectUserResponse & ()
| operator const GCC_ConferenceEjectUserResponse & () const
| operator GCC_ConferenceTransferResponse & ()
| operator const GCC_ConferenceTransferResponse & () const
| operator GCC_RegistryResponse & ()
| operator const GCC_RegistryResponse & () const
| operator GCC_RegistryAllocateHandleResponse & ()
| operator const GCC_RegistryAllocateHandleResponse & () const
| operator GCC_FunctionNotSupportedResponse & ()
| operator const GCC_FunctionNotSupportedResponse & () const
| operator GCC_NonStandardPDU & ()
| operator const GCC_NonStandardPDU & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_ResponsePDU::Choices

Enumerator:

  e_conferenceJoinResponse |
  e_conferenceAddResponse |
  e_conferenceLockResponse |
  e_conferenceUnlockResponse |
  e_conferenceTerminateResponse |
  e_conferenceEjectUserResponse |
  e_conferenceTransferResponse |
  e_registryResponse |
  e_registryAllocateHandleResponse |
  e_functionNotSupportedResponse |
  e_nonStandardResponse |

## Constructor & Destructor Documentation

GCC_ResponsePDU::GCC_ResponsePDU | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

GCC_ResponsePDU::operator GCC_ConferenceJoinResponse & | ( |  | ) |

GCC_ResponsePDU::operator const GCC_ConferenceJoinResponse & | ( |  | ) | const

GCC_ResponsePDU::operator GCC_ConferenceAddResponse & | ( |  | ) |

GCC_ResponsePDU::operator const GCC_ConferenceAddResponse & | ( |  | ) | const

GCC_ResponsePDU::operator GCC_ConferenceLockResponse & | ( |  | ) |

GCC_ResponsePDU::operator const GCC_ConferenceLockResponse & | ( |  | ) | const

GCC_ResponsePDU::operator GCC_ConferenceUnlockResponse & | ( |  | ) |

GCC_ResponsePDU::operator const GCC_ConferenceUnlockResponse & | ( |  | ) | const

GCC_ResponsePDU::operator GCC_ConferenceTerminateResponse & | ( |  | ) |

GCC_ResponsePDU::operator const GCC_ConferenceTerminateResponse & | ( |  | ) | const

GCC_ResponsePDU::operator GCC_ConferenceEjectUserResponse & | ( |  | ) |

GCC_ResponsePDU::operator const GCC_ConferenceEjectUserResponse & | ( |  | ) | const

GCC_ResponsePDU::operator GCC_ConferenceTransferResponse & | ( |  | ) |

GCC_ResponsePDU::operator const GCC_ConferenceTransferResponse & | ( |  | ) | const

GCC_ResponsePDU::operator GCC_RegistryResponse & | ( |  | ) |

GCC_ResponsePDU::operator const GCC_RegistryResponse & | ( |  | ) | const

GCC_ResponsePDU::operator GCC_RegistryAllocateHandleResponse & | ( |  | ) |

GCC_ResponsePDU::operator const GCC_RegistryAllocateHandleResponse & | ( |  | ) | const

GCC_ResponsePDU::operator GCC_FunctionNotSupportedResponse & | ( |  | ) |

GCC_ResponsePDU::operator const GCC_FunctionNotSupportedResponse & | ( |  | ) | const

GCC_ResponsePDU::operator GCC_NonStandardPDU & | ( |  | ) |

GCC_ResponsePDU::operator const GCC_NonStandardPDU & | ( |  | ) | const

PBoolean GCC_ResponsePDU::CreateObject | ( |  | ) |

PObject* GCC_ResponsePDU::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h